_G.ShurikenMod = {}
ShurikenMod.CanUnitFlame = {}
ShurikenMod.FlameUnit = {}

Hooks:PostHook( ProjectileBase , "throw" , "FS_PostProjectileBaseThrow" , function( self , params )

	if tostring( params.projectile_entry ) == "wpn_prj_four" then
	
		ShurikenMod.CanUnitFlame[ self._unit ] = true
		
	end

end )

Hooks:PostHook( ProjectileBase , "update" , "FS_PostProjectileBaseUpdate" , function( self , unit , t , dt )
	
	if alive( unit ) then
	
		if ShurikenMod.CanUnitFlame[ unit ] then
	
			if not ShurikenMod.FlameUnit[ unit ] then	
				
				ShurikenMod.FlameUnit[ unit ] = World:effect_manager():spawn({
					
					effect = Idstring( "effects/particles/fire/small_light_fire" ) ,
					parent = self._unit:orientation_object()
				
				})
				
			end
			
		end
		
	end

end )

Hooks:PostHook( ProjectileBase , "destroy" , "FS_PostProjectileBaseDestroy" , function( self )

	if ShurikenMod.CanUnitFlame[ self._unit ] then
	
		ShurikenMod.CanUnitFlame[ self._unit ] = nil
		
	end

	if ShurikenMod.FlameUnit[ self._unit ] then
		
		World:effect_manager():fade_kill( ShurikenMod.FlameUnit[ self._unit ] )
		ShurikenMod.FlameUnit[ self._unit ] = nil
		
	end

end )